
:root {
    --bg-color: #14171A;
    --surface-color: #1F242A;
    --text-color: #E6E8EB;
    --ackni-color: oklch(62% 0.17 259);
}

/* RESET */
* {
    margin: 0;
}

body {
    display: grid;
    gap: 2rem;
    padding: 2rem;
    background-color: var(--bg-color);
    color: var(--text-color);
}

.vysledek {
    display: grid;
    gap: .5rem;
}

.karta {
    display: grid;
    justify-items: center;
    gap: 1rem;
    background-color: var(--surface-color);
    padding: 1.5rem;
    border-radius: 8px;
}

.arena-tym {
    color: var(--ackni-color);
    font-weight: 800;
    font-size: 1rem;
}

.arena-body {
    color: var(--text-color);
    font-size: 3rem;
}

button {
    background-color: var(--ackni-color);
    text-transform: uppercase;
    padding: .5rem;
    font-size: .8rem;
    font-weight: 500;
    color: var(--bg-color);
    border: solid .5px var(--text-color);
    outline: none;
    border-radius: 2px;
    transition: all 0.2s ease;

    &:hover {
        background-color: oklch(from var(--ackni-color) calc(l - 0.15) c h);
        color: var(--text-color);
    }
}

input {
    width: 100%;
    box-sizing: border-box;
    border: none;

    &[type="number"] {
        appearance: textfield;

        &::-webkit-outer-spin-button,
        &::-webkit-inner-spin-button {
        -webkit-appearance: none;
        margin: 0;
        }
    }
}

.vstup {
    display: inline-flex;
    gap: .5rem;
}